---
title: Update an execution policy
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Execution Policy
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update an execution policy{% #update-an-execution-policy %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/actions/execution-policies/{policy_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/actions/execution-policies/{policy_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |

### Overview

Update an existing execution policy. Returns the execution policy object when the request is successful. This endpoint requires the `execution_groups_write` permission.

### Arguments

#### Path Parameters

| Name                        | Type   | Description                     |
| --------------------------- | ------ | ------------------------------- |
| policy_id [*required*] | string | The ID of the execution policy. |

### Request

#### Body Data (required)

The new execution policy.

{% tab title="Model" %}

| Parent field         | Field                                 | Type     | Description                                                                                                                                                                                                                                          |
| -------------------- | ------------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                      | data [*required*]                | object   | Object for a single execution policy.                                                                                                                                                                                                                |
| data                 | attributes [*required*]          | object   | Attributes used to create or update an execution policy.                                                                                                                                                                                             |
| attributes           | action_pattern [*required*]      | object   | The set of actions this policy applies to.                                                                                                                                                                                                           |
| action_pattern       | action_fqns [*required*]         | [string] | The fully qualified action names this policy matches. Use `*` to match all actions of the integration, or a fully qualified name prefixed with the integration's action namespace (for example `com.datadoghq.script.*` for the Script integration). |
| action_pattern       | integration [*required*]         | enum     | The integration the action pattern applies to. Allowed enum values: `INTEGRATION_KUBERNETES,INTEGRATION_SCRIPT,INTEGRATION_REMOTE_ACTION`                                                                                                            |
| attributes           | effect [*required*]              | enum     | Whether the policy allows or denies matching actions. Allowed enum values: `allow,deny`                                                                                                                                                              |
| attributes           | name [*required*]                | string   | The name of the execution policy.                                                                                                                                                                                                                    |
| attributes           | scope                                 | object   | Restricts where the policy applies. At most one of `kubernetes`, `scripts`, or `remote_action_rshell` can be set. An empty object means the policy has no scope restriction.                                                                         |
| scope                | kubernetes                            | object   | Restricts the policy to specific Kubernetes namespaces.                                                                                                                                                                                              |
| kubernetes           | rules [*required*]               | [object] | The Kubernetes scope rules.                                                                                                                                                                                                                          |
| rules                | target_namespaces [*required*]   | [string] | The Kubernetes namespaces this rule applies to.                                                                                                                                                                                                      |
| scope                | remote_action_rshell                  | object   | Restricts the policy to specific remote shell paths.                                                                                                                                                                                                 |
| remote_action_rshell | rules [*required*]               | [object] | The remote shell scope rules.                                                                                                                                                                                                                        |
| rules                | access [*required*]              | enum     | The level of remote shell access granted for the target paths. Allowed enum values: `read_only,read_write`                                                                                                                                           |
| rules                | target_paths [*required*]        | [string] | The file system paths this rule applies to.                                                                                                                                                                                                          |
| scope                | scripts                               | object   | Restricts the policy to specific scripts.                                                                                                                                                                                                            |
| scripts              | rules [*required*]               | [object] | The script scope rules.                                                                                                                                                                                                                              |
| rules                | target_script_names [*required*] | [string] | The script names this rule applies to.                                                                                                                                                                                                               |
| attributes           | targets                               | [object] | The targets this policy applies to.                                                                                                                                                                                                                  |
| targets              | agent_tags [*required*]          | [string] | The Agent tags identifying the target.                                                                                                                                                                                                               |
| targets              | name                                  | string   | A human-readable name for the target.                                                                                                                                                                                                                |
| data                 | id [*required*]                  | string   | The ID of the execution policy.                                                                                                                                                                                                                      |
| data                 | type [*required*]                | enum     | The type of the resource. The value should always be `execution_policy`. Allowed enum values: `execution_policy`                                                                                                                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "type": "execution_policy",
    "attributes": {
      "name": "Cassette Execution Policy Updated",
      "effect": "allow",
      "action_pattern": {
        "integration": "INTEGRATION_SCRIPT",
        "action_fqns": [
          "com.datadoghq.script.*"
        ]
      }
    }
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response object that includes a single execution policy.

| Parent field         | Field                                 | Type      | Description                                                                                                                                                                                                                                          |
| -------------------- | ------------------------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                      | data [*required*]                | object    | Object for a single execution policy.                                                                                                                                                                                                                |
| data                 | attributes [*required*]          | object    | An execution policy.                                                                                                                                                                                                                                 |
| attributes           | action_pattern [*required*]      | object    | The set of actions this policy applies to.                                                                                                                                                                                                           |
| action_pattern       | action_fqns [*required*]         | [string]  | The fully qualified action names this policy matches. Use `*` to match all actions of the integration, or a fully qualified name prefixed with the integration's action namespace (for example `com.datadoghq.script.*` for the Script integration). |
| action_pattern       | integration [*required*]         | enum      | The integration the action pattern applies to. Allowed enum values: `INTEGRATION_KUBERNETES,INTEGRATION_SCRIPT,INTEGRATION_REMOTE_ACTION`                                                                                                            |
| attributes           | created_at [*required*]          | date-time | The date and time the execution policy was created.                                                                                                                                                                                                  |
| attributes           | created_by [*required*]          | string    | The ID of the user who created the execution policy.                                                                                                                                                                                                 |
| attributes           | effect [*required*]              | enum      | Whether the policy allows or denies matching actions. Allowed enum values: `allow,deny`                                                                                                                                                              |
| attributes           | name [*required*]                | string    | The name of the execution policy.                                                                                                                                                                                                                    |
| attributes           | scope                                 | object    | Restricts where the policy applies. At most one of `kubernetes`, `scripts`, or `remote_action_rshell` can be set. An empty object means the policy has no scope restriction.                                                                         |
| scope                | kubernetes                            | object    | Restricts the policy to specific Kubernetes namespaces.                                                                                                                                                                                              |
| kubernetes           | rules [*required*]               | [object]  | The Kubernetes scope rules.                                                                                                                                                                                                                          |
| rules                | target_namespaces [*required*]   | [string]  | The Kubernetes namespaces this rule applies to.                                                                                                                                                                                                      |
| scope                | remote_action_rshell                  | object    | Restricts the policy to specific remote shell paths.                                                                                                                                                                                                 |
| remote_action_rshell | rules [*required*]               | [object]  | The remote shell scope rules.                                                                                                                                                                                                                        |
| rules                | access [*required*]              | enum      | The level of remote shell access granted for the target paths. Allowed enum values: `read_only,read_write`                                                                                                                                           |
| rules                | target_paths [*required*]        | [string]  | The file system paths this rule applies to.                                                                                                                                                                                                          |
| scope                | scripts                               | object    | Restricts the policy to specific scripts.                                                                                                                                                                                                            |
| scripts              | rules [*required*]               | [object]  | The script scope rules.                                                                                                                                                                                                                              |
| rules                | target_script_names [*required*] | [string]  | The script names this rule applies to.                                                                                                                                                                                                               |
| attributes           | targets [*required*]             | [object]  | The targets this policy applies to.                                                                                                                                                                                                                  |
| targets              | agent_tags [*required*]          | [string]  | The Agent tags identifying the target.                                                                                                                                                                                                               |
| targets              | name                                  | string    | A human-readable name for the target.                                                                                                                                                                                                                |
| attributes           | updated_at [*required*]          | date-time | The date and time the execution policy was last updated.                                                                                                                                                                                             |
| attributes           | updated_by [*required*]          | string    | The ID of the user who last updated the execution policy.                                                                                                                                                                                            |
| attributes           | version [*required*]             | int32     | The version of the execution policy. Incremented on every update.                                                                                                                                                                                    |
| data                 | id [*required*]                  | string    | The ID of the execution policy.                                                                                                                                                                                                                      |
| data                 | type [*required*]                | enum      | The type of the resource. The value should always be `execution_policy`. Allowed enum values: `execution_policy`                                                                                                                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action_pattern": {
        "action_fqns": [
          "com.datadoghq.script.*"
        ],
        "integration": "INTEGRATION_SCRIPT"
      },
      "created_at": "2026-01-15T10:00:00.000Z",
      "created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "effect": "allow",
      "name": "Block prod restarts",
      "scope": {
        "kubernetes": {
          "rules": [
            {
              "target_namespaces": [
                "default"
              ]
            }
          ]
        },
        "remote_action_rshell": {
          "rules": [
            {
              "access": "read_only",
              "target_paths": [
                "/var/log"
              ]
            }
          ]
        },
        "scripts": {
          "rules": [
            {
              "target_script_names": [
                "restart_service.sh"
              ]
            }
          ]
        }
      },
      "targets": [
        {
          "agent_tags": [
            "env:prod"
          ],
          "name": "Production hosts"
        }
      ],
      "updated_at": "2026-01-15T10:00:00.000Z",
      "updated_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "version": 1
    },
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "type": "execution_policy"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export policy_id="3fa85f64-5717-4562-b3fc-2c963f66afa6" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/actions/execution-policies/${policy_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "action_pattern": {
        "action_fqns": [
          "com.datadoghq.script.*"
        ],
        "integration": "INTEGRATION_SCRIPT"
      },
      "effect": "allow",
      "name": "Block prod restarts"
    },
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "type": "execution_policy"
  }
}
EOF 
                        
##### 

```go
// Update an execution policy returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "execution_policy" in the system
	ExecutionPolicyDataID := os.Getenv("EXECUTION_POLICY_DATA_ID")

	body := datadogV2.ExecutionPolicyUpdateRequest{
		Data: datadogV2.ExecutionPolicyUpdateRequestData{
			Id:   ExecutionPolicyDataID,
			Type: datadogV2.EXECUTIONPOLICYTYPE_EXECUTION_POLICY,
			Attributes: datadogV2.ExecutionPolicyWriteAttributes{
				Name:   "Cassette Execution Policy Updated",
				Effect: datadogV2.EXECUTIONPOLICYEFFECT_ALLOW,
				ActionPattern: datadogV2.ExecutionPolicyActionPattern{
					Integration: datadogV2.EXECUTIONPOLICYINTEGRATION_INTEGRATION_SCRIPT,
					ActionFqns: []string{
						"com.datadoghq.script.*",
					},
				},
			},
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateExecutionPolicy", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewExecutionPolicyApi(apiClient)
	resp, r, err := api.UpdateExecutionPolicy(ctx, ExecutionPolicyDataID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ExecutionPolicyApi.UpdateExecutionPolicy`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ExecutionPolicyApi.UpdateExecutionPolicy`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update an execution policy returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ExecutionPolicyApi;
import com.datadog.api.client.v2.model.ExecutionPolicyActionPattern;
import com.datadog.api.client.v2.model.ExecutionPolicyEffect;
import com.datadog.api.client.v2.model.ExecutionPolicyIntegration;
import com.datadog.api.client.v2.model.ExecutionPolicyResponse;
import com.datadog.api.client.v2.model.ExecutionPolicyType;
import com.datadog.api.client.v2.model.ExecutionPolicyUpdateRequest;
import com.datadog.api.client.v2.model.ExecutionPolicyUpdateRequestData;
import com.datadog.api.client.v2.model.ExecutionPolicyWriteAttributes;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateExecutionPolicy", true);
    ExecutionPolicyApi apiInstance = new ExecutionPolicyApi(defaultClient);

    // there is a valid "execution_policy" in the system
    String EXECUTION_POLICY_DATA_ID = System.getenv("EXECUTION_POLICY_DATA_ID");

    ExecutionPolicyUpdateRequest body =
        new ExecutionPolicyUpdateRequest()
            .data(
                new ExecutionPolicyUpdateRequestData()
                    .id(EXECUTION_POLICY_DATA_ID)
                    .type(ExecutionPolicyType.EXECUTION_POLICY)
                    .attributes(
                        new ExecutionPolicyWriteAttributes()
                            .name("Cassette Execution Policy Updated")
                            .effect(ExecutionPolicyEffect.ALLOW)
                            .actionPattern(
                                new ExecutionPolicyActionPattern()
                                    .integration(ExecutionPolicyIntegration.INTEGRATION_SCRIPT)
                                    .actionFqns(
                                        Collections.singletonList("com.datadoghq.script.*")))));

    try {
      ExecutionPolicyResponse result =
          apiInstance.updateExecutionPolicy(EXECUTION_POLICY_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ExecutionPolicyApi#updateExecutionPolicy");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```python
"""
Update an execution policy returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.execution_policy_api import ExecutionPolicyApi
from datadog_api_client.v2.model.execution_policy_action_pattern import ExecutionPolicyActionPattern
from datadog_api_client.v2.model.execution_policy_effect import ExecutionPolicyEffect
from datadog_api_client.v2.model.execution_policy_integration import ExecutionPolicyIntegration
from datadog_api_client.v2.model.execution_policy_type import ExecutionPolicyType
from datadog_api_client.v2.model.execution_policy_update_request import ExecutionPolicyUpdateRequest
from datadog_api_client.v2.model.execution_policy_update_request_data import ExecutionPolicyUpdateRequestData
from datadog_api_client.v2.model.execution_policy_write_attributes import ExecutionPolicyWriteAttributes

# there is a valid "execution_policy" in the system
EXECUTION_POLICY_DATA_ID = environ["EXECUTION_POLICY_DATA_ID"]

body = ExecutionPolicyUpdateRequest(
    data=ExecutionPolicyUpdateRequestData(
        id=EXECUTION_POLICY_DATA_ID,
        type=ExecutionPolicyType.EXECUTION_POLICY,
        attributes=ExecutionPolicyWriteAttributes(
            name="Cassette Execution Policy Updated",
            effect=ExecutionPolicyEffect.ALLOW,
            action_pattern=ExecutionPolicyActionPattern(
                integration=ExecutionPolicyIntegration.INTEGRATION_SCRIPT,
                action_fqns=[
                    "com.datadoghq.script.*",
                ],
            ),
        ),
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_execution_policy"] = True
with ApiClient(configuration) as api_client:
    api_instance = ExecutionPolicyApi(api_client)
    response = api_instance.update_execution_policy(policy_id=EXECUTION_POLICY_DATA_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update an execution policy returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_execution_policy".to_sym] = true
end
api_instance = DatadogAPIClient::V2::ExecutionPolicyAPI.new

# there is a valid "execution_policy" in the system
EXECUTION_POLICY_DATA_ID = ENV["EXECUTION_POLICY_DATA_ID"]

body = DatadogAPIClient::V2::ExecutionPolicyUpdateRequest.new({
  data: DatadogAPIClient::V2::ExecutionPolicyUpdateRequestData.new({
    id: EXECUTION_POLICY_DATA_ID,
    type: DatadogAPIClient::V2::ExecutionPolicyType::EXECUTION_POLICY,
    attributes: DatadogAPIClient::V2::ExecutionPolicyWriteAttributes.new({
      name: "Cassette Execution Policy Updated",
      effect: DatadogAPIClient::V2::ExecutionPolicyEffect::ALLOW,
      action_pattern: DatadogAPIClient::V2::ExecutionPolicyActionPattern.new({
        integration: DatadogAPIClient::V2::ExecutionPolicyIntegration::INTEGRATION_SCRIPT,
        action_fqns: [
          "com.datadoghq.script.*",
        ],
      }),
    }),
  }),
})
p api_instance.update_execution_policy(EXECUTION_POLICY_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```rust
// Update an execution policy returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_execution_policy::ExecutionPolicyAPI;
use datadog_api_client::datadogV2::model::ExecutionPolicyActionPattern;
use datadog_api_client::datadogV2::model::ExecutionPolicyEffect;
use datadog_api_client::datadogV2::model::ExecutionPolicyIntegration;
use datadog_api_client::datadogV2::model::ExecutionPolicyType;
use datadog_api_client::datadogV2::model::ExecutionPolicyUpdateRequest;
use datadog_api_client::datadogV2::model::ExecutionPolicyUpdateRequestData;
use datadog_api_client::datadogV2::model::ExecutionPolicyWriteAttributes;

#[tokio::main]
async fn main() {
    // there is a valid "execution_policy" in the system
    let execution_policy_data_id = std::env::var("EXECUTION_POLICY_DATA_ID").unwrap();
    let body = ExecutionPolicyUpdateRequest::new(ExecutionPolicyUpdateRequestData::new(
        ExecutionPolicyWriteAttributes::new(
            ExecutionPolicyActionPattern::new(
                vec!["com.datadoghq.script.*".to_string()],
                ExecutionPolicyIntegration::INTEGRATION_SCRIPT,
            ),
            ExecutionPolicyEffect::ALLOW,
            "Cassette Execution Policy Updated".to_string(),
        ),
        execution_policy_data_id.clone(),
        ExecutionPolicyType::EXECUTION_POLICY,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateExecutionPolicy", true);
    let api = ExecutionPolicyAPI::with_config(configuration);
    let resp = api
        .update_execution_policy(execution_policy_data_id.clone(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update an execution policy returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateExecutionPolicy"] = true;
const apiInstance = new v2.ExecutionPolicyApi(configuration);

// there is a valid "execution_policy" in the system
const EXECUTION_POLICY_DATA_ID = process.env.EXECUTION_POLICY_DATA_ID as string;

const params: v2.ExecutionPolicyApiUpdateExecutionPolicyRequest = {
  body: {
    data: {
      id: EXECUTION_POLICY_DATA_ID,
      type: "execution_policy",
      attributes: {
        name: "Cassette Execution Policy Updated",
        effect: "allow",
        actionPattern: {
          integration: "INTEGRATION_SCRIPT",
          actionFqns: ["com.datadoghq.script.*"],
        },
      },
    },
  },
  policyId: EXECUTION_POLICY_DATA_ID,
};

apiInstance
  .updateExecutionPolicy(params)
  .then((data: v2.ExecutionPolicyResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
